function tangent_to_full(x, t)
% Evaluate a tangent vector t at x to a full tensor

% Geometric Hierchical Tucker 
% Copyright 2012 Bart Vandereycken, EPF Lausanne
% GPLv3 License, see COPYING.txt for details.

BdUU = ttm(x.B{ii}, {dU{ii_left}, U{ii_right}}, [1 2]);
BUdU = ttm(x.B{ii}, {U{ii_left}, dU{ii_right}}, [1 2]);
dBUU = ttm(t.B{ii}, {U{ii_left}, U{ii_right}}, [1 2]);


dU{1} = BdUU + BUdU + dBUU;